AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create a collection subaccount

This document shows you how to create a subaccount on Flutterwave

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/subaccounts

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

account_bank string required
This is the sub-accounts bank ISO code, use the List of Banks for Transfer endpoint to retrieve a list of bank codes.

account_number string required
This is the customer's account number. When testing on staging, you can find a list of all available test bank accounts here

business_name string required
This is the sub-account business name.

country string required
This is the ISO country code of the merchant e.g. NG, GH, KE etc.

split_value number required
This can be a percentage value or flat value depending on what was set on split_type.Note that the % value is in decimal. So 50% is 0.5 and so on.

business_mobile string required
Primary business contact number

business_email string
This is the sub-account business email

business_contact string
This is the contact person for the sub-account e.g. Richard Hendrix

business_contact_mobile string
Business contact number number

split_type string
This can be set as percentage or flat

meta array of objects
This is an array that allows you pass more information about the sub-account. Click the Add button below to see sample properties

FILL IN ALL REQUIRED FIELDS

meta_name string
This allows you pass extra information (key) about the sub-account.

meta_value string
This allows you pass extra information (value of meta_name) about the sub-account.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

account_bank string

full_name string

created_at string

split_type string

split_value number

subaccount_id string

bank_name string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys